﻿<%@ Page Language="c#" Inherits="Discuz.ForumPage.Admin.backupandrestore" Codebehind="global_backupandrestore.aspx.cs" %>
<%@ Register TagPrefix="uc1" TagName="TextareaResize" Src="../UserControls/TextareaResize.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<%@ Register TagPrefix="cc1" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>BackupAndRestore</title>
    <link href="../styles/datagrid.css" type="text/css" rel="stylesheet" />
    <link href="../styles/calendar.css" type="text/css" rel="stylesheet" />
    <link href="../styles/dntmanager.css" type="text/css" rel="stylesheet" />
    <link href="../styles/modelpopup.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../js/modalpopup.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
</head>
<body>
    <div class="ManagerForm">
        <form id="Form1" method="post" runat="server">
            <fieldset>
                <legend style="background: url(../images/icons/icon39.jpg) no-repeat 6px 50%;">数据库备份</legend>
                <table cellspacing="1" cellpadding="4" width="100%" align="center" class="table1">
                    <tr>
                        <td class="td1" width="20%">服务器名称:</td>
                        <td class="td1" width="30%">
                            <cc1:TextBox ID="ServerName" runat="server" RequiredFieldType="暂无校验" CanBeNull="必填" Text=""></cc1:TextBox>
                        </td>
                        <td class="td2" width="20%">数据库名称:</td>
                        <td class="td2" width="30%">
                            <cc1:TextBox ID="strDbName" runat="server" RequiredFieldType="暂无校验" CanBeNull="必填" Text=""></cc1:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td class="td1">用户名:</td>
                        <td class="td1">
                            <cc1:TextBox ID="UserName" runat="server" RequiredFieldType="暂无校验" CanBeNull="必填" Text=""></cc1:TextBox>
                        </td>
                        <td class="td2">密码:</td>
                        <td class="td2">
                            <cc1:TextBox ID="Password" runat="server" RequiredFieldType="暂无校验" Text="" TextMode="Password"></cc1:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td class="td1">备份的名称:</td>
                        <td class="td1" colspan="3">
                            <cc1:TextBox ID="backupname" runat="server" HintTitle="提示" HintInfo="系统会自动将扩展名定义为.config"
                                RequiredFieldType="暂无校验" CanBeNull="可为空" Width="200" Text=""></cc1:TextBox>空格会被"_"代替
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" align="center">
                            <cc1:Button ID="BackUP" runat="server" Text="开始备份数据库"></cc1:Button></td>
                    </tr>
                </table>
            </fieldset>
            <cc1:Hint ID="Hint1" runat="server" HintImageUrl="../images"></cc1:Hint>
            <br />
            <cc2:DataGrid ID="Grid1" runat="server" ColumnSpan="4">
                <Columns>
                    <asp:TemplateColumn HeaderText="选择">
                        <headerstyle width="5%" />
                        <itemtemplate>
							<input id="id" onclick="javascript:SH_SelectOne(this)" type="checkbox" value="<%# DataBinder.Eval(Container, "DataItem.id").ToString() %>"	name="id" />
						</itemtemplate>
                    </asp:TemplateColumn>
                    <asp:BoundColumn DataField="id" HeaderText="id [递增不重复]" Visible="false"></asp:BoundColumn>
                    <asp:BoundColumn DataField="filename" HeaderText="文件名">
                        <headerstyle width="25%" />
                    </asp:BoundColumn>
                    <asp:BoundColumn DataField="createtime" HeaderText="创建日期">
                        <headerstyle width="20%" />
                    </asp:BoundColumn>
                    <asp:BoundColumn DataField="fullname" HeaderText="文件路径">
                        <headerstyle width="30%" />
                    </asp:BoundColumn>
                </Columns>
            </cc2:DataGrid>
            <table cellspacing="1" cellpadding="4" width="100%" align="center" class="table1" style="margin: 10px;">
                <tr>
                    <td colspan="2">
                        <cc1:Button ID="Restore" runat="server" Text="开始数据库恢复" Visible="false"></cc1:Button>
                        <cc1:Button ID="DeleteBackup" runat="server" Text="删除备份"></cc1:Button>
                    </td>
                </tr>
            </table>
        </form>
    </div>
    <%=footer%>
</body>
</html>
