﻿<%@ Register TagPrefix="cc1" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<%@ Register TagPrefix="cc3" Namespace="Discuz.Control" Assembly="Discuz.Control" %>

<%@ Page Language="c#" Inherits="Discuz.ForumPage.Admin.editsysadminusergroup" EnableViewState="false"
    Codebehind="global_editsysadminusergroup.aspx.cs" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>编辑系统组</title>
    <link href="../styles/tab.css" type="text/css" rel="stylesheet" />
    <link href="../styles/colorpicker.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../js/common.js"></script>
    <link href="../styles/dntmanager.css" type="text/css" rel="stylesheet" />
    <link href="../styles/modelpopup.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../js/modalpopup.js"></script>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <br />
        <table class="table1" cellspacing="0" cellpadding="4" width="100%" border="0">
            <tr>
                <td width="2px"></td>
                <td>
                    <cc3:TabControl ID="TabControl1" SelectionMode="Client" runat="server" TabScriptPath="../js/tabstrip.js" Width="660" Height="100%">
                        <cc3:TabPage Caption="基本信息" ID="tabPage51">
                            <table align="center" class="table1" cellspacing="0" cellpadding="4" width="100%" bgcolor="#C3C7D1">
                                <tr>
                                    <td class="td1" width="20%">关联管理组:</td>
                                    <td class="td1" width="30%">
                                        <cc1:DropDownList ID="radminid" runat="server" AutoPostBack="True">
                                        </cc1:DropDownList>
                                    </td>
                                    <td class="td2" width="20%">用户组名称:</td>
                                    <td class="td2" width="30%">
                                        <cc1:TextBox ID="groupTitle" runat="server" CanBeNull="必填" RequiredFieldType="暂无校验"
                                            Width="180" MaxLength="50"></cc1:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1">组名称颜色:</td>
                                    <td class="td1">
                                        <cc1:ColorPicker ID="color" runat="server" ReadOnly="True" LeftOffSet="-23" TopOffSet="-54">
                                        </cc1:ColorPicker>
                                    </td>
                                    <td class="td2">星星数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="stars" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1">阅读权限:</td>
                                    <td class="td1">
                                        <cc1:TextBox ID="readaccess" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Size="5" MaxLength="4"></cc1:TextBox>
                                    </td>
                                    <td class="td2">主题最高售价:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxprice" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1">短消息最多条数:</td>
                                    <td class="td1">
                                        <cc1:TextBox ID="maxpmnum" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                    </td>
                                    <td class="td2">
                                        签名最多字节:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxsigsize" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1">上传单个附件允<br />许的最大字节数:</td>
                                    <td class="td1">
                                        <cc1:TextBox ID="maxattachsize" runat="server" HintInfo="设置上传单个附件允许最大字节数." HintTitle="提示"
                                            CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxattachsize').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                        </select>
                                    </td>
                                    <td class="td2">论坛每天允许上<br />传附件总字节数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxsizeperday" runat="server" HintInfo="设置用户每 24 小时可以上传的附件总字节数.注意: 本功能会加重服务器负担,建议仅在必要时使用."
                                            HintTitle="提示" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxsizeperday').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                            <option value="6144000">6M</option>
                                            <option value="8192000">8M</option>
                                            <option value="10240000">10M</option>
                                            <option value="12288000">12M</option>
                                            <option value="14336000">14M</option>
                                            <option value="16384000">16M</option>
                                            <option value="18432000">18M</option>
                                            <option value="20480000">20M</option>
                                            <option value="22528000">22M</option>
                                            <option value="24576000">24M</option>
                                            <option value="26624000">26M</option>
                                            <option value="28672000">28M</option>
                                            <option value="30720000">30M</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td2">个人空间附<br />件总字节数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxspaceattachsize" runat="server" HintInfo="设置用户在个人空间中可以上传附件的字节总数."
                                            HintTitle="提示" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxspaceattachsize').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                            <option value="6144000">6M</option>
                                            <option value="8192000">8M</option>
                                            <option value="10240000">10M</option>
                                            <option value="12288000">12M</option>
                                            <option value="14336000">14M</option>
                                            <option value="16384000">16M</option>
                                            <option value="18432000">18M</option>
                                            <option value="20480000">20M</option>
                                            <option value="22528000">22M</option>
                                            <option value="24576000">24M</option>
                                            <option value="26624000">26M</option>
                                            <option value="28672000">28M</option>
                                            <option value="30720000">30M</option>
                                        </select>
                                    </td>
                                    <td class="td2">相册空间<br />总字节数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxspacephotosize" runat="server" HintInfo="设置用户在相册中可以上传照片的字节总数 ."
                                            HintTitle="提示" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxspacephotosize').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                            <option value="6144000">6M</option>
                                            <option value="8192000">8M</option>
                                            <option value="10240000">10M</option>
                                            <option value="12288000">12M</option>
                                            <option value="14336000">14M</option>
                                            <option value="16384000">16M</option>
                                            <option value="18432000">18M</option>
                                            <option value="20480000">20M</option>
                                            <option value="22528000">22M</option>
                                            <option value="24576000">24M</option>
                                            <option value="26624000">26M</option>
                                            <option value="28672000">28M</option>
                                            <option value="30720000">30M</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1">允许附件类型:</td>
                                    <td class="td1">
                                        <cc1:CheckBoxList ID="attachextensions" runat="server" HintHeight="80"
                                             HintInfo="如果要允许所有附件类型, 则不要点选右侧任何附件类型, 且具体版块设置优先于用户组设置"
                                            HintTitle="提示" RepeatColumns="3">
                                        </cc1:CheckBoxList>
                                    </td>
                                    <td class="td2">允许的评分范围:</td>
                                    <td class="td2">
                                        <a href="#" class="TextButton" onclick="javascript:window.location.href='global_allowparticipatescore.aspx?pagename=global_editsysadminusergroup&groupid=<%=Request.Params["groupid"]%>'">
                                            编辑评分范围</a>
                                    </td>
                                </tr>
                            </table>
                        </cc3:TabPage>
                        <cc3:TabPage Caption="权限信息" ID="tabPage22">
                            <table class="table1" cellspacing="0" cellpadding="4" width="100%" align="center">
                                <tr>
                                    <td class="td1" width="17%">是否允许使用头像:</td>
                                    <td class="td1" width="33%">
                                        <cc1:RadioButtonList ID="allowavatar" runat="server" RepeatColumns="1" Width="96%"
                                            Font-Size="12px">
                                            <asp:ListItem Value="0">不允许</asp:ListItem>
                                            <asp:ListItem Value="1">允许使用系统自带头像</asp:ListItem>
                                            <asp:ListItem Value="2">允许使用Url地址头像(且包括前者)</asp:ListItem>
                                            <asp:ListItem Value="3">允许使用上传头像(且包括前者)</asp:ListItem>
                                        </cc1:RadioButtonList>
                                    </td>
                                    <td class="td2" width="20%">是否允许搜索:</td>
                                    <td class="td2" width="30%">
                                        <cc1:RadioButtonList ID="allowsearch" runat="server" RepeatColumns="1" Width="96%"
                                            Font-Size="12px">
                                            <asp:ListItem Value="0" Selected>不允许</asp:ListItem>
                                            <asp:ListItem Value="1">全部允许</asp:ListItem>
                                            <asp:ListItem Value="2">仅允许按标题、作者进行搜索</asp:ListItem>
                                        </cc1:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1">其它权限:</td>
                                    <td class="td1" colspan="3">
                                        <cc1:CheckBoxList ID="usergroupright" runat="server" RepeatColumns="3" Font-Size="12px">
                                            <asp:ListItem Value="allowvisit">是否允许访问论坛</asp:ListItem>
                                            <asp:ListItem Value="allowpost">是否允许发帖</asp:ListItem>
                                            <asp:ListItem Value="allowreply">是否允许回复</asp:ListItem>
                                            <asp:ListItem Value="allowpostpoll">是否允许发起投票</asp:ListItem>
                                            <asp:ListItem Value="allowgetattach">是否允许下载附件</asp:ListItem>
                                            <asp:ListItem Value="allowpostattach">是否发布附件</asp:ListItem>
                                            <asp:ListItem Value="allowvote">是否允许参与投票</asp:ListItem>
                                            <asp:ListItem Value="allowsetreadperm">是否允许设置阅读积分权限</asp:ListItem>
                                            <asp:ListItem Value="allowsetattachperm">是否允许设置下载积分限制</asp:ListItem>
                                            <asp:ListItem Value="allowhidecode">是否允许使用hide代码</asp:ListItem>
                                            <asp:ListItem Value="allowcusbbcode">是否允许使用Discuz!NT代码</asp:ListItem>
                                            <asp:ListItem Value="allowsigbbcode">签名是否支持Discuz!NT代码</asp:ListItem>
                                            <asp:ListItem Value="allowsigimgcode">签名是否支持图片代码</asp:ListItem>
                                            <asp:ListItem Value="allowviewpro">是否允许查看用户资料</asp:ListItem>
                                            <asp:ListItem Value="disableperiodctrl">是否不受时间段限制</asp:ListItem>
                                        </cc1:CheckBoxList>
                                    </td>
                                </tr>
                            </table>
                        </cc3:TabPage>
                        <cc3:TabPage Caption="管理权限设置" ID="tabPage33">
                            <table align="center" class="table1" cellspacing="0" cellpadding="4" width="100%" bgcolor="#C3C7D1">
                                <tr>
                                    <td class="td1" colspan="2">
                                        <cc1:CheckBoxList ID="admingroupright" runat="server" Width="500px" Font-Size="12px">
                                            <asp:ListItem Value="alloweditpost">允许编辑帖子</asp:ListItem>
                                            <asp:ListItem Value="alloweditpoll">允许编辑投票</asp:ListItem>
                                            <asp:ListItem Value="allowdelpost">允许删除帖子</asp:ListItem>
                                            <asp:ListItem Value="allowmassprune">允许批量删除</asp:ListItem>
                                            <asp:ListItem Value="allowviewip">允许查看IP</asp:ListItem>
                                            <asp:ListItem Value="allowedituser">允许编辑用户</asp:ListItem>
                                            <asp:ListItem Value="allowviewlog">允许查看论坛运行记录</asp:ListItem>
                                            <asp:ListItem Value="disablepostctrl">发帖不受审核、过滤、灌水等限制</asp:ListItem>
                                        </cc1:CheckBoxList>
                                        <!--<asp:ListItem Value="allowpostannounce">允许发布公告</asp:ListItem>
									<asp:ListItem Value="allowmodpost">允许审核帖子</asp:ListItem>
									<asp:ListItem Value="allowcensorword">允许设置词语过滤</asp:ListItem>
									<asp:ListItem Value="allowmoduser">允许审核用户</asp:ListItem>
									<asp:ListItem Value="allowbanuser">允许禁止用户</asp:ListItem>
									<asp:ListItem Value="allowbanip">允许禁止IP</asp:ListItem>
									<asp:ListItem Value="allowrefund">允许强制退款(当主题被设置为收费阅读时有效)</asp:ListItem>-->
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1" width="15%">是否允许置顶:</td>
                                    <td>
                                        <cc1:DropDownList ID="allowstickthread" runat="server">
                                            <asp:ListItem Value="0">不允许</asp:ListItem>
                                            <asp:ListItem Value="1">允许本版内置顶</asp:ListItem>
                                            <asp:ListItem Value="2">允许分类内置顶</asp:ListItem>
                                            <asp:ListItem Value="3">执行任意置顶</asp:ListItem>
                                        </cc1:DropDownList>
                                    </td>
                                </tr>
                            </table>
                        </cc3:TabPage>
                    </cc3:TabControl>
                </td>
            </tr>
        </table>
        <cc1:Hint ID="Hint1" runat="server" HintImageUrl="../images"></cc1:Hint>
        &nbsp;&nbsp;&nbsp;&nbsp;
        <cc1:Button ID="UpdateUserGroupInf" runat="server" Text=" 提 交 "></cc1:Button>
        <div id="topictypes" style="display: none; width: 100%;">
            <tr>
                <td class="td2">
                    积分下限:</td>
                <td class="td2">
                    <cc1:TextBox ID="creditshigher" runat="server" CanBeNull="必填" RequiredFieldType="数据校验"
                        Text="0" Width="100"></cc1:TextBox></td>
            </tr>
            <tr>
                <td class="td1">
                    积分上限:</td>
                <td class="td1">
                    <cc1:TextBox ID="creditslower" runat="server" CanBeNull="必填" RequiredFieldType="数据校验"
                        Text="0" Width="100"></cc1:TextBox></td>
            </tr>
            <tr>
                <td class="td1">
                    用户组头像:</td>
                <td class="td1">
                    <cc1:TextBox ID="groupavatar" runat="server" RequiredFieldType="暂无校验" Width="80%"></cc1:TextBox></td>
            </tr>
        </div>
    </form>
    <%=footer%>
</body>
</html>
