﻿<%@ Page Language="c#" Inherits="Discuz.ForumPage.Admin.editusergroup" Codebehind="global_editusergroup.aspx.cs" %>
<%@ Register TagPrefix="cc1" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<%@ Register TagPrefix="cc3" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>编辑用户组</title>
    <link href="../styles/tab.css" type="text/css" rel="stylesheet" />
    <link href="../styles/colorpicker.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../js/common.js"></script>
    <link href="../styles/dntmanager.css" type="text/css" rel="stylesheet" />
    <link href="../styles/modelpopup.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../js/modalpopup.js"></script>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <script type="text/javascript">
            showhint(0, '编辑用户组时积分的上限和下限必须在当前用户组积分上下限范围之内.  <br />例如: 新手上路(已有)的积分上下限分别是50和0 ,那么编辑该用户组的积分上下限必须在(50≥上下限 ≥0) 之间. 而当要编辑的上下限跨越多个用户组积分上下限区间时, 系统将视为无效. ');
            showhint(1, '如果想要扩展积分的上下限时可通过缩小相邻用户组积分的上下限来进行调整. <br />例如: 新手上路(已有)的积分上下限分别是50和0 , 如果想把上限扩展为55 ,只需调整相邻的\"注册会员\"组(上下限为200和50) 的上下限修改为200和55即可. 调整下限的方法与调整上限的方法类似. ');
        </script>
        <table class="table1" cellspacing="0" cellpadding="4" width="100%" border="0">
            <tr>
                <td width="2px"></td>
                <td>
                    <cc3:TabControl ID="TabControl1" SelectionMode="Client" runat="server" TabScriptPath="../js/tabstrip.js" Width="660" Height="100%">
                        <cc3:TabPage Caption="基本信息" ID="tabPage51">
                            <table align="center" class="table1" cellspacing="0" cellpadding="4" width="100%" bgcolor="#C3C7D1">
                                <tr>
                                    <td class="td2" width="20%">用户组名称:</td>
                                    <td class="td2" width="30%">
                                        <cc1:TextBox ID="groupTitle" runat="server" CanBeNull="必填" RequiredFieldType="暂无校验" Width="180" MaxLength="50"></cc1:TextBox>
                                    </td>
                                    <td class="td2">组名称颜色:</td>
                                    <td class="td2">
                                        <cc1:ColorPicker ID="color" runat="server" ReadOnly="True" LeftOffSet="-23" TopOffSet="-212">
                                        </cc1:ColorPicker>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1" width="20%">积分下限:</td>
                                    <td class="td1" width="30%">
                                        <cc1:TextBox ID="creditshigher" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>
                                    </td>
                                    <td class="td1">积分上限:</td>
                                    <td class="td1">
                                        <cc1:TextBox ID="creditslower" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td2">星星数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="stars" runat="server" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="SERVER" ControlToValidate="stars"
                                            ErrorMessage="请输入正整数或者零" ValidationExpression="^[0-9]*$">
                                        </asp:RegularExpressionValidator>
                                    </td>
                                    <td class="td1">阅读权限:</td>
                                    <td class="td1">
                                        <cc1:TextBox ID="readaccess" runat="server" CanBeNull="必填" RequiredFieldType="数据校验"
                                            Size="5" MaxLength="4"></cc1:TextBox>
                                        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="SERVER" ControlToValidate="readaccess"
                                            ErrorMessage="请输入整数" ValidationExpression="^[-]?\d+\d*$">
                                        </asp:RegularExpressionValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td2">主题最高售价:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxprice" runat="server" CanBeNull="必填" RequiredFieldType="数据校验"
                                            Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                        <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="SERVER" ControlToValidate="maxprice"
                                            ErrorMessage="请输入正整数或者零" ValidationExpression="^[0-9]*$">
                                        </asp:RegularExpressionValidator>
                                    </td>
                                    <td class="td1">短消息最多条数:</td>
                                    <td class="td1">
                                        <cc1:TextBox ID="maxpmnum" runat="server" CanBeNull="必填" RequiredFieldType="数据校验"
                                            Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                        <asp:RegularExpressionValidator ID="homephone" runat="SERVER" ControlToValidate="maxpmnum"
                                            ErrorMessage="请输入正整数或者零" ValidationExpression="^[0-9]*$">
                                        </asp:RegularExpressionValidator>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td2">签名最多字节:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxsigsize" runat="server" CanBeNull="必填" RequiredFieldType="数据校验"
                                            Text="0" Size="5" MaxLength="4"></cc1:TextBox>
                                        <asp:RegularExpressionValidator ID="RegularExpressionValidator4" runat="SERVER" ControlToValidate="maxsigsize"
                                            ErrorMessage="请输入正整数或者零" ValidationExpression="^[0-9]*$">
                                        </asp:RegularExpressionValidator>
                                    </td>
                                    <td class="td1">上传单个附件允<br />许的最大字节数:</td>
                                    <td class="td1">
                                        <cc1:TextBox ID="maxattachsize" runat="server" HintInfo="设置上传单个附件允许最大字节数." HintTitle="提示"
                                            CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxattachsize').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td2">论坛每天允许上<br />传附件总字节数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxsizeperday" runat="server" HintInfo="设置用户每 24 小时可以上传的附件总字节数.注意: 本功能会加重服务器负担,建议仅在必要时使用."
                                            HintTitle="提示" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxsizeperday').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                            <option value="6144000">6M</option>
                                            <option value="8192000">8M</option>
                                            <option value="10240000">10M</option>
                                            <option value="12288000">12M</option>
                                            <option value="14336000">14M</option>
                                            <option value="16384000">16M</option>
                                            <option value="18432000">18M</option>
                                            <option value="20480000">20M</option>
                                            <option value="22528000">22M</option>
                                            <option value="24576000">24M</option>
                                            <option value="26624000">26M</option>
                                            <option value="28672000">28M</option>
                                            <option value="30720000">30M</option>
                                        </select>
                                    </td>
                                    <td class="td2">个人空间附<br />件总字节数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxspaceattachsize" runat="server" HintInfo="设置用户在个人空间中可以上传附件的字节总数."
                                            HintTitle="提示" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxspaceattachsize').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                            <option value="6144000">6M</option>
                                            <option value="8192000">8M</option>
                                            <option value="10240000">10M</option>
                                            <option value="12288000">12M</option>
                                            <option value="14336000">14M</option>
                                            <option value="16384000">16M</option>
                                            <option value="18432000">18M</option>
                                            <option value="20480000">20M</option>
                                            <option value="22528000">22M</option>
                                            <option value="24576000">24M</option>
                                            <option value="26624000">26M</option>
                                            <option value="28672000">28M</option>
                                            <option value="30720000">30M</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td2">相册空间<br />总字节数:</td>
                                    <td class="td2">
                                        <cc1:TextBox ID="maxspacephotosize" runat="server" HintInfo="设置用户在相册中可以上传照片的字节总数 ."
                                            HintTitle="提示" CanBeNull="必填" RequiredFieldType="数据校验" Text="0" Size="10" MaxLength="9"></cc1:TextBox>(单位:字节)
                                        <select onchange="document.getElementById('TabControl1_tabPage51_maxspacephotosize').value=this.value">
                                            <option value="">请选择</option>
                                            <option value="51200">50K</option>
                                            <option value="102400">100K</option>
                                            <option value="153600">150K</option>
                                            <option value="204800">200K</option>
                                            <option value="256000">250K</option>
                                            <option value="307200">300K</option>
                                            <option value="358400">350K</option>
                                            <option value="409600">400K</option>
                                            <option value="512000">500K</option>
                                            <option value="614400">600K</option>
                                            <option value="716800">700K</option>
                                            <option value="819200">800K</option>
                                            <option value="921600">900K</option>
                                            <option value="1024000">1M</option>
                                            <option value="2048000">2M</option>
                                            <option value="4096000">4M</option>
                                            <option value="6144000">6M</option>
                                            <option value="8192000">8M</option>
                                            <option value="10240000">10M</option>
                                            <option value="12288000">12M</option>
                                            <option value="14336000">14M</option>
                                            <option value="16384000">16M</option>
                                            <option value="18432000">18M</option>
                                            <option value="20480000">20M</option>
                                            <option value="22528000">22M</option>
                                            <option value="24576000">24M</option>
                                            <option value="26624000">26M</option>
                                            <option value="28672000">28M</option>
                                            <option value="30720000">30M</option>
                                        </select>
                                    </td>
                                    <td class="td1">允许附件类型:</td>
                                    <td class="td1">
                                        <cc1:CheckBoxList ID="attachextensions" runat="server" HintHeight="80" HintInfo="如果要允许所有附件类型, 则不要点选右侧任何附件类型, 且具体版块设置优先于用户组设置"
                                            HintTitle="提示" RepeatColumns="3">
                                        </cc1:CheckBoxList>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td2">允许的评分范围:</td>
                                    <td class="td2">
                                        <a href="#" class="TextButton" onclick="javascript:window.location.href='global_allowparticipatescore.aspx?pagename=global_editusergroup&groupid=<%=Request.Params["groupid"]%>'">
                                            编辑评分范围</a>
                                    </td>
                                </tr>
                            </table>
                        </cc3:TabPage>
                        <cc3:TabPage Caption="权限信息" ID="tabPage22">
                            <table cellspacing="1" cellpadding="4" width="100%" align="center">
                                <tr>
                                    <td class="td1" width="17%">是否允许使用头像:</td>
                                    <td class="td1" width="33%">
                                        <cc1:RadioButtonList ID="allowavatar" runat="server" RepeatColumns="1" Width="96%"
                                            Font-Size="12px">
                                            <asp:ListItem Value="0">不允许</asp:ListItem>
                                            <asp:ListItem Value="1">允许使用系统自带头像</asp:ListItem>
                                            <asp:ListItem Value="2">允许使用Url地址头像(且包括前者)</asp:ListItem>
                                            <asp:ListItem Value="3">允许使用上传头像(且包括前者)</asp:ListItem>
                                        </cc1:RadioButtonList>
                                    </td>
                                    <td class="td2" width="20%">是否允许搜索:</td>
                                    <td class="td2" width="30%">
                                        <cc1:RadioButtonList ID="allowsearch" runat="server" RepeatColumns="1" Width="96%"
                                            Font-Size="12px">
                                            <asp:ListItem Value="0" Selected>不允许</asp:ListItem>
                                            <asp:ListItem Value="1">允许搜索标题或全文</asp:ListItem>
                                            <asp:ListItem Value="2">仅允许搜索标题</asp:ListItem>
                                        </cc1:RadioButtonList>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="td1">其它权限:</td>
                                    <td class="td1" colspan="3">
                                        <cc1:CheckBoxList ID="usergroupright" runat="server" RepeatColumns="3" Font-Size="12px">
                                            <asp:ListItem Value="allowvisit">是否允许访问论坛</asp:ListItem>
                                            <asp:ListItem Value="allowpost">是否允许发帖</asp:ListItem>
                                            <asp:ListItem Value="allowreply">是否允许回复</asp:ListItem>
                                            <asp:ListItem Value="allowpostpoll">是否允许发起投票</asp:ListItem>
                                            <asp:ListItem Value="allowgetattach">是否允许下载附件</asp:ListItem>
                                            <asp:ListItem Value="allowpostattach">是否发布附件</asp:ListItem>
                                            <asp:ListItem Value="allowvote">是否允许参与投票</asp:ListItem>
                                            <asp:ListItem Value="allowsetreadperm">是否允许设置阅读积分权限</asp:ListItem>
                                            <asp:ListItem Value="allowsetattachperm">是否允许设置下载积分限制</asp:ListItem>
                                            <asp:ListItem Value="allowhidecode">是否允许使用hide代码</asp:ListItem>
                                            <asp:ListItem Value="allowcusbbcode">是否允许使用Discuz!NT代码</asp:ListItem>
                                            <asp:ListItem Value="allowsigbbcode">签名是否支持Discuz!NT代码</asp:ListItem>
                                            <asp:ListItem Value="allowsigimgcode">签名是否支持图片代码</asp:ListItem>
                                            <asp:ListItem Value="allowviewpro">是否允许查看用户资料</asp:ListItem>
                                            <asp:ListItem Value="disableperiodctrl">是否不受时间段限制</asp:ListItem>
                                        </cc1:CheckBoxList>
                                    </td>
                                </tr>
                            </table>
                        </cc3:TabPage>
                    </cc3:TabControl>
                </td>
            </tr>
        </table>
        <cc1:Hint ID="Hint1" runat="server" HintImageUrl="../images"></cc1:Hint>
        &nbsp;&nbsp;&nbsp;&nbsp;<cc1:Button ID="UpdateUserGroupInf" runat="server" Text=" 提 交 "></cc1:Button>
        &nbsp;&nbsp;<cc1:Button ID="DeleteUserGroupInf" runat="server" Text=" 删 除 " ButtonImgUrl="../images/del.gif"></cc1:Button>
        <div id="topictypes" style="display: none; width: 100%;">
            <tr>
                <td class="td1">
                    用户组头像:</td>
                <td class="td1">
                    <cc1:TextBox ID="groupavatar" runat="server" RequiredFieldType="暂无校验" Width="80%"></cc1:TextBox></td>
            </tr>
        </div>
    </form>
    <%=footer%>
</body>
</html>
