﻿<%@ Register TagPrefix="cc1" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<%@ Register TagPrefix="cc2" Namespace="Discuz.Control" Assembly="Discuz.Control" %>

<%@ Page Language="c#" Inherits="Discuz.ForumPage.Admin.forumlinksgrid" Codebehind="global_forumlinksgrid.aspx.cs"
    AutoEventWireup="false" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
    <title>友情链接列表</title>
    <link href="../styles/datagrid.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../js/common.js"></script>
    <link href="../styles/dntmanager.css" type="text/css" rel="stylesheet" />
    <link href="../styles/modelpopup.css" type="text/css" rel="stylesheet" />
    <script type="text/javascript" src="../js/modalpopup.js"></script>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <div class="Navbutton" style="width: 98%;">
            <table cellspacing="1" cellpadding="4" align="center" class="table1">
                <tr>
                    <td>
                        <input title="选中/取消选中 本页所有Case" onclick="CheckAll(this.form)" type="checkbox" name="chkall" id="chkall" />全选/取消全选 &nbsp;
                        <cc1:Button ID="DelRec" runat="server" Text=" 删 除 " ButtonImgUrl="../images/del.gif"></cc1:Button>
                    </td>
                </tr>
            </table>
        </div>
        <cc1:DataGrid ID="DataGrid1" runat="server" IsFixConlumnControls="true" OnPageIndexChanged="DataGrid_PageIndexChanged" OnSortCommand="Sort_Grid">
            <Columns>
                <asp:TemplateColumn HeaderText="选择">
                    <itemtemplate>
							<input id="delid" onclick="javascript:SH_SelectOne(this)" type="checkbox" value="<%# DataBinder.Eval(Container, "DataItem.id").ToString() %>" name="delid" />
							<%# DataGrid1.LoadSelectedCheckBox(DataBinder.Eval(Container, "DataItem.id").ToString())%>
						</itemtemplate>
                </asp:TemplateColumn>
                <asp:BoundColumn DataField="id" SortExpression="id" HeaderText="id [递增]" Visible="false">
                </asp:BoundColumn>
                <asp:BoundColumn DataField="displayorder" SortExpression="displayorder" HeaderText="显示顺序">
                </asp:BoundColumn>
                <asp:BoundColumn DataField="name" SortExpression="name" HeaderText="名称"></asp:BoundColumn>
                <asp:BoundColumn DataField="url" SortExpression="url" HeaderText="链接地址"></asp:BoundColumn>
                <asp:BoundColumn DataField="note" SortExpression="note" HeaderText="说明"></asp:BoundColumn>
                <asp:BoundColumn DataField="logo" SortExpression="logo" HeaderText="LOGO"></asp:BoundColumn>
                <asp:TemplateColumn HeaderText="图片">
                    <headerstyle width="10%" />
                    <itemtemplate>
							<%# LogoStr(DataBinder.Eval(Container, "DataItem.LOGO").ToString())%>
						</itemtemplate>
                </asp:TemplateColumn>
            </Columns>
        </cc1:DataGrid>
        <div class="Navbutton">
            <cc1:Button ID="SaveFriend" runat="server" Text="保存友情链接修改"></cc1:Button>
        </div>
    </form>
    <div class="ManagerForm">
        <form method="post" name="form2" id="form2" action="global_forumlinksgrid.aspx">
            <fieldset>
                <legend style="background: url(../images/icons/icon4.jpg) no-repeat 6px 50%;">添加友情链接</legend>
                <table cellspacing="0" cellpadding="4" class="tabledatagrid" width="100%">
                    <tr>
                        <td class="td1" width="15%">显示顺序:</td>
                        <td class="td1" width="35%">
                            <input name="displayorder" type="text" title="当显示顺序为0时, 则不显示当前链接" maxlength="8" size="10"
                                id="displayorder" class="FormBase" onfocus="this.className='FormFocus';" onblur="this.className='FormBase';"
                                style="width: 150px;" value="1" maxlength="4" />(必填)
                        </td>
                        <td class="td2" width="15%">名称:</td>
                        <td class="td2" width="35%">
                            <input name="name" type="text" id="name" maxlength="100" class="FormBase" onfocus="this.className='FormFocus';"
                                onblur="this.className='FormBase';" style="width: 150px;" />(必填)
                        </td>
                    </tr>
                    <tr>
                        <td class="td1">链接地址:</td>
                        <td class="td1">
                            <input name="url" type="text" id="url" maxlength="100" class="FormBase" onfocus="this.className='FormFocus';"
                                onblur="this.className='FormBase';" style="width: 200px;" />
                        </td>
                        <td class="td1">LOGO:</td>
                        <td class="td1">
                            <input name="logo" type="text" title="当LOGO为空时，友情链接以文字方式显示" id="logo" maxlength="100"
                                class="FormBase" onfocus="this.className='FormFocus';" onblur="this.className='FormBase';"
                                style="width: 200px;" />
                        </td>
                    </tr>
                    <tr>
                        <td class="td2">说明:</td>
                        <td class="td2" colspan="3">
                            <input name="note" type="text" title="当说明为空时, 友情链接以横排方式显示" id="note" maxlength="200"
                                class="FormBase" onfocus="this.className='FormFocus';" onblur="this.className='FormBase';"
                                style="width: 300px;" />
                        </td>
                    </tr>
                </table>
                <cc1:Hint ID="Hint1" runat="server" HintImageUrl="../images"></cc1:Hint>
                <div class="Navbutton">
                    <button type="button" class="ManagerButton" id="AddNewRec" onclick="javascript:document.form2.submit();">
                        <img src="../images/add.gif" />提 交
                    </button>
                </div>
            </fieldset>
        </form>
    </div>
    <%=footer%>
</body>
</html>
