﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="forum_uisetting.aspx.cs" Inherits="Discuz.ForumPage.Admin.uisetting" %>
<%@ Register TagPrefix="cc1" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>无标题页</title>
    <script type="text/javascript" src="../js/common.js"></script>
    <link href="../styles/dntmanager.css" type="text/css" rel="stylesheet" />        
    <link href="../styles/modelpopup.css" type="text/css" rel="stylesheet" />
	<script type="text/javascript" src="../js/modalpopup.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="ManagerForm">
		<fieldset>
		    <legend style="background:url(../images/icons/icon43.jpg) no-repeat 6px 50%;">界面设置</legend>
			<table class="table1" cellspacing="0" cellpadding="4" width="100%" align="center">
			    <tr>			    
                    <td class="td1" width="20%">显示最近访问论坛数量:</td>
                    <td class="td1" width="35%">
                        <cc1:TextBox id="visitedforums" runat="server"  CanBeNull="必填" RequiredFieldType="数据校验" Size="6"  MaxLength="4" HintTitle="提示" 
                        HintInfo="设置在论坛列表和帖子浏览中, 显示的最近访问过的论坛下拉列表数量, 建议设置为 30 以内, 0 为关闭此功能"></cc1:TextBox>
                    </td>
                    <td  class="td1" width="20%">是否分栏显示:</td>
                    <td class="td1" width="25%">
                        <cc1:RadioButtonList id="isframeshow" runat="server" RepeatLayout="flow" HintTitle="提示" HintInfo="论坛是否以左右分栏的方式进行显示" HintPosOffSet="80">
                            <asp:ListItem Value="1">是</asp:ListItem>
                            <asp:ListItem Value="0">否</asp:ListItem>
                        </cc1:RadioButtonList>
                    </td>
		        </tr>
		        <tr>
				    <td class="td2">最大签名高度:</td>
				    <td class="td2">
				        <cc1:TextBox id="maxsigrows" runat="server" CanBeNull="必填" RequiredFieldType="数据校验"  Size="6" MaxLength="4" HintTitle="提示" 
				        HintInfo="设置帖子中允许显示签名的最大高度, 0 为不限制. 注意: 本限制只对 IE 浏览器有效"></cc1:TextBox>(单位:行)
				    </td>
				    <td class="td2">版主显示方式:</td>
                    <td class="td2">
                        <cc1:radiobuttonlist id="moddisplay" runat="server" RepeatLayout="Flow" HintTitle="提示" HintInfo="首页论坛列表中版主显示方式">
                            <asp:ListItem Value="1">下拉菜单</asp:ListItem>
                            <asp:ListItem Value="0">平面显示</asp:ListItem>
                        </cc1:radiobuttonlist>
                    </td>
			    </tr>
			    <tr>
					<td class="td2">是否显示签名:</td>
					<td class="td2">
					    <cc1:radiobuttonlist id="showsignatures" runat="server" RepeatLayout="Flow" HintTitle="提示" HintInfo="是否在帖子中显示会员签名">
							<asp:ListItem Value="1">是</asp:ListItem>
							<asp:ListItem Value="0">否</asp:ListItem>
						</cc1:radiobuttonlist>
					</td>
					<td class="td2">是否显示头像:</td>
					<td class="td2">
					    <cc1:radiobuttonlist id="showavatars" runat="server" RepeatLayout="Flow" HintTitle="提示" HintInfo="是否在帖子中显示会员头像">
							<asp:ListItem Value="1">是</asp:ListItem>
							<asp:ListItem Value="0">否</asp:ListItem>
						</cc1:radiobuttonlist>
					</td>
				</tr>
			    <tr>
					<td class="td1">是否显示图片:</td>
					<td class="td1">
					    <cc1:radiobuttonlist id="showimages" runat="server" RepeatLayout="Flow" HintTitle="提示" HintInfo="是否在帖子中显示图片(包括上传的附件图片和 [img] 代码图片)">
							<asp:ListItem Value="1">是</asp:ListItem>
							<asp:ListItem Value="0">否</asp:ListItem>
						</cc1:radiobuttonlist>
					</td>
					<td class="td1">帖子中同一表情符<br />出现的最大次数:</td>
					<td class="td1">
					    <cc1:TextBox id="smiliesmax" runat="server" RequiredFieldType="数据校验" CanBeNull="必填" Width="60px" size="6" MaxLength="4" HintTitle="提示" HintInfo="默认值为5"></cc1:TextBox>
					 </td>
				</tr>
				<tr>
				    <td class="td1">显示可点击表情符:</td>
                    <td>
						<cc1:RadioButtonList id="smileyinsert" runat="server" HintInfo="发帖页面包含表情符快捷工具, 点击图标即可插入表情符" HintTitle="提示" RepeatLayout="flow">
							<asp:ListItem Value="1">是</asp:ListItem>
							<asp:ListItem Value="0">否</asp:ListItem>
						</cc1:RadioButtonList>
					</td>
					<td class="td1">显示在线用户:</td>
					<td class="td1">
						<cc1:RadioButtonList id="whosonlinestatus" runat="server"  RepeatColumns="1" HintTitle="提示" 
						HintInfo="在首页和论坛列表页显示在线会员列表(最大在线超过 500 人系统将自动缩略显示在线列表)">
							<asp:ListItem Value="0">不显示</asp:ListItem>
							<asp:ListItem Value="1">仅在首页显示</asp:ListItem>
							<asp:ListItem Value="2">仅在分论坛显示</asp:ListItem>
							<asp:ListItem Value="3">在首页和分论坛显示</asp:ListItem>
						</cc1:RadioButtonList>
					</td>
				</tr>
				<tr>
				    <td class="td1">帖子中显示作者状态:</td>
				    <td class="td1">
						<cc1:RadioButtonList id="showauthorstatusinpost" runat="server"  RepeatColumns="1" HintTitle="提示" 
						HintInfo="浏览帖子时显示作者在线状态, 如果在线用户数量较多时, 启用&amp;quot;精确判断作者在线状态&amp;quot;功能会加重服务器负担, 此时建议使用&amp;quot;简单判断作者在线状态&amp;quot;">
							<asp:ListItem Value="1" selected="true">简单判断作者在线状态并显示(推荐)</asp:ListItem>
							<asp:ListItem Value="2">精确判断作者在线状态并显示</asp:ListItem>
						</cc1:RadioButtonList>
					</td>
					<td class="td1">最多显示在线人数:</td>
					<td class="td1">
						<cc1:TextBox id="maxonlinelist" runat="server" RequiredFieldType="数据校验" CanBeNull="必填" Size="5" MaxLength="4" HintTitle="提示" 
						HintInfo="此设置只有在显示在线用户启用时才有效. 设置为0则为不限制"></cc1:TextBox>
					</td>
				</tr>
				<tr>
					<td class="td1">显示论坛跳转菜单:</td>
					<td class="td1">
						<cc1:RadioButtonList id="forumjump" runat="server"  RepeatLayout="flow" HintTitle="提示" 
						HintInfo="选择&amp;quot;是&amp;quot;将在列表页面下部显示快捷跳转菜单. 只有在本设置启用时JS菜单中的论坛跳转设置才有效. 注意: 当分论坛很多时, 本功能会严重加重服务器负担">
							<asp:ListItem Value="1">是</asp:ListItem>
							<asp:ListItem Value="0">否</asp:ListItem>
						</cc1:RadioButtonList>
					</td>
					<td class="td1">无动作离线时间:</td>
					<td class="td1">
						<cc1:TextBox id="onlinetimeout" runat="server" RequiredFieldType="数据校验" CanBeNull="必填" Size="5" Text="10" MaxLength="4" HintTitle="提示" 
						HintInfo="多久无动作视为离线, 默认为10"></cc1:TextBox>(单位:分钟)
					</td>
				</tr>
				<tr>
					<td class="td1">查看新帖时间(分钟):</td>
					<td class="td1">
					    <cc1:TextBox id="viewnewtopicminute" runat="server" Size="5" MaxLength="5" HintTitle="提示" HintInfo="设置多长时间内发布的帖子算是新帖" 
					    MinimumValue="5" MaximumValue="14400"></cc1:TextBox>
					</td>
					<td class="td1"></td>
					<td class="td1"></td>
				</tr>
			</table>
		</fieldset>
		<cc1:Hint id="Hint1" runat="server" HintImageUrl="../images"></cc1:Hint>
		<div class="Navbutton">
		    <cc1:Button id="SaveInfo" runat="server" Text=" 提 交 "></cc1:Button>
		</div>    
    </div>
    </form>
    <%=footer%>
</body>
</html>
